Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.workitems
Class GetToDoList

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.workitems.GetToDoList

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<GetToDoListResult>, net.customware.gwt.dispatch.shared.Action<GetToDoListResult>

    public class GetToDoList

extends java.lang.Object
implements OSAction<GetToDoListResult>

Retrieve the Work List ( ToDo List ) for the current user from BRM.

Filtering, ordering and paging options can be specified to determine which items are returned.

©2011 TIBCO Software Inc.

Since:
  1.2.0
See Also:
  `GetToDoListResult`

Constructor Summary
`GetToDoList(java.lang.String resourceId, long startPos, long numberOfItems, java.lang.String order, java.lang.String filter)` Constructs a new GetToDoList Action.

Method Summary
`java.lang.String` | `getFilter()` Filer string to pass to BRM.
`long` | `getNumberOfItems()` Number of Work Items to retrieve.
`java.lang.String` | `getOrder()` Order string to pass to BRM.
`java.lang.String` | `getResourceId()` User ID ( GUID ) of the user retrieving the Work List.
`long` | `getStartPos()` Index of the first Work Item to retrieve.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetToDoList

    public GetToDoList(java.lang.String resourceId,
                       long startPos,
                       long numberOfItems,
                       java.lang.String order,
                       java.lang.String filter)

  Constructs a new GetToDoList Action.

  Parameters:
    `resourceId` - User ID ( GUID ) of the user retrieving the Work List.
    `startPos` - Index of the first Work Item to retrieve.
    `numberOfItems` - Number of Work Items to retrieve.
    `order` - Order string to pass to BRM.

    An example would be :

    "appInstance ASC , appInstanceDescription ASC , id ASC , priority ASC , startDate ASC , endDate ASC , attribute1 ASC , attribute2 ASC , attribute3 ASC , attribute4 ASC"

    See the BRM Filter and Sort documentation for more details.

    `filter` - Filer string to pass to BRM.

    An example would be :

    "appInstance='instance' AND appInstanceDescription>'process1' AND description<'Step2'"

    See the BRM Filter and Sort documentation for more details.

Method Detail

### getStartPos

    public long getStartPos()

  Index of the first Work Item to retrieve.

  Returns:
    Returns the startPos.

### getNumberOfItems

    public long getNumberOfItems()

  Number of Work Items to retrieve.

  Returns:
    Returns the numberOfItems.

### getOrder

    public java.lang.String getOrder()

  Order string to pass to BRM.

  An example would be :

  "appInstance ASC , appInstanceDescription ASC , id ASC , priority ASC , startDate ASC , endDate ASC , attribute1 ASC , attribute2 ASC , attribute3 ASC , attribute4 ASC"

  See the BRM Filter and Sort documentation for more details.

  Returns:
    Returns the order.

### getFilter

    public java.lang.String getFilter()

  Filer string to pass to BRM.

  An example would be :

  "appInstance='instance' AND appInstanceDescription>'process1' AND description<'Step2'"

  See the BRM Filter and Sort documentation for more details.

  Returns:
    Returns the filter.

### getResourceId

    public java.lang.String getResourceId()

  User ID ( GUID ) of the user retrieving the Work List.

  Returns:
    Returns the resourceId.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.